---
sidebar_position: 1
description: Get list of calendars and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get list of calendars
 Gets a list of calendars of the specified owner



`Function GetCalendarList(Val URL, Val OwnerID, Val Type, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | OwnerID | --owner | String, Number | &#x2714; | Calendar owner ID |
  | Type | --type | String | &#x2714; | Calendar type: user, group, company_calendar, location, etc. |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [calendar.section.get](https://apidocs.bitrix24.ru/api-reference/calendar/calendar-section-get.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL     = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    OwnerID = 1;
    Type    = "user";

    Result = OPI_Bitrix24.GetCalendarList(URL, OwnerID, Type);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.GetCalendarList(URL, OwnerID, Type, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetCalendarList \
             --url "b24-ar17wx.bitrix24.by" \
             --owner 1 \
             --type "user" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetCalendarList ^
             --url "b24-ar17wx.bitrix24.by" ^
             --owner 1 ^
             --type "user" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": [
  {
   "ID": "14",
   "NAME": "Новый календарь",
   "GAPI_CALENDAR_ID": "***",
   "DESCRIPTION": "Мой новый календарь",
   "COLOR": "#FFFFFF",
   "TEXT_COLOR": "#000000",
   "EXPORT": {
    "ALLOW": true,
    "PATH": "https://b24-ar17wx.bitrix24.by/company/personal/user/1/calendar/",
    "LINK": "&type=user&owner=1&ncc=1&user=1&sec_id=14&sign=0340726e9becd635c244fe6b70681010&bx_hit_hash=M77nYEUhypJX5zJBIW2iJO6vHlZcebbA"
   },
   "CAL_TYPE": "user",
   "OWNER_ID": "1",
   "CREATED_BY": "1",
   "DATE_CREATE": "2025-01-18 14:11:00",
   "TIMESTAMP_X": "2025-01-18 14:11:00",
   "CAL_DAV_CON": null,
   "SYNC_TOKEN": "***",
   "PAGE_TOKEN": "***",
   "EXTERNAL_TYPE": "local",
   "ACCESS": {
    "G2": 31,
    "U1": 39
   },
   "IS_COLLAB": false,
   "PERM": {
    "view_time": true,
    "view_title": true,
    "view_full": true,
    "add": true,
    "edit": true,
    "edit_section": true,
    "access": true
   }
  },
  {
   "ID": "16",
   "NAME": "Новый календарь",
   "GAPI_CALENDAR_ID": "***",
   "DESCRIPTION": "Мой новый календарь",
   "COLOR": "#FFFFFF",
   "TEXT_COLOR": "#000000",
   "EXPORT": {
    "ALLOW": true,
    "PATH": "https://b24-ar17wx.bitrix24.by/company/personal/user/1/calendar/",
    "LINK": "&type=user&owner=1&ncc=1&user=1&sec_id=16&sign=11c87d77756ee426d52a887c1f0e9451&bx_hit_hash=M77nYEUhypJX5zJBIW2iJO6vHlZcebbA"
   },
   "CAL_TYPE": "user",
   "OWNER_ID": "1",
   "CREATED_BY": "1",
   "DATE_CREATE": "2025-01-18 16:06:00",
   "TIMESTAMP_X": "2025-01-18 16:06:00",
   "CAL_DAV_CON": null,
   "SYNC_TOKEN": "***",
   "PAGE_TOKEN": "***",
   "EXTERNAL_TYPE": "local",
   "ACCESS": {
    "G2": 31,
    "U1": 39
   },
   "IS_COLLAB": false,
   "PERM": {
    "view_time": true,
    "view_title": true,
    "view_full": true,
    "add": true,
    "edit": true,
    "edit_section": true,
    "access": true
   }
  },
  {
   "ID": "26",
   "NAME": "Новый календарь",
   "GAPI_CALENDAR_ID": "***",
   "DESCRIPTION": "Мой новый календарь",
   "COLOR": "#FFFFFF",
   "TEXT_COLOR": "#000000",
   "EXPORT": {
    "ALLOW": true,
    "PATH": "https://b24-ar17wx.bitrix24.by/company/personal/user/1/calendar/",
    "LINK": "&type=user&owner=1&ncc=1&user=1&sec_id=26&sign=db0466517eac35c3a5834f513aea8336&bx_hit_hash=M77nYEUhypJX5zJBIW2iJO6vHlZcebbA"
   },
   "CAL_TYPE": "user",
   "OWNER_ID": "1",
   "CREATED_BY": "1",
   "DATE_CREATE": "2025-01-18 18:05:00",
   "TIMESTAMP_X": "2025-01-18 18:05:00",
   "CAL_DAV_CON": null,
   "SYNC_TOKEN": "***",
   "PAGE_TOKEN": "***",
   "EXTERNAL_TYPE": "local",
   "ACCESS": {
    "G2": 31,
    "U1": 39
   },
   "IS_COLLAB": false,
   "PERM": {
    "view_time": true,
    "view_title": true,
    "view_full": true,
    "add": true,
    "edit": true,
    "edit_section": true,
    "access": true
   }
  },
  {
   "ID": "28",
   "NAME": "Новый календарь",
   "GAPI_CALENDAR_ID": "***",
   "DESCRIPTION": "Мой новый календарь",
   "COLOR": "#FFFFFF",
   "TEXT_COLOR": "#000000",
   "EXPORT": {
    "ALLOW": true,
    "PATH": "https://b24-ar17wx.bitrix24.by/company/personal/user/1/calendar/",
    "LINK": "&type=user&owner=1&ncc=1&user=1&sec_id=28&sign=c82932e1cd2ef5da6c427850617091f9&bx_hit_hash=M77nYEUhypJX5zJBIW2iJO6vHlZcebbA"
   },
   "CAL_TYPE": "user",
   "OWNER_ID": "1",
   "CREATED_BY": "1",
   "DATE_CREATE": "2025-01-18 18:06:00",
   "TIMESTAMP_X": "2025-01-18 18:06:00",
   "CAL_DAV_CON": null,
   "SYNC_TOKEN": "***",
   "PAGE_TOKEN": "***",
   "EXTERNAL_TYPE": "local",
   "ACCESS": {
    "G2": 31,
    "U1": 39
   },
   "IS_COLLAB": false,
   "PERM": {
    "view_time": true,
    "view_title": true,
    "view_full": true,
    "add": true,
    "edit": true,
    "edit_section": true,
    "access": true
   }
  },
  {
   "ID": "30",
   "NAME": "Другой календарь",
   "GAPI_CALENDAR_ID": "***",
...
```
